<?php include('casa/setup.casa.php');
	$codigo = DataForms::POST('codigo');	
	$cmbUbicaciones = DataForms::POST('cmbUbicaciones');
	$txtItem = DataForms::POST('txtItem');
	$txtProducto = utf8_decode(DataForms::POST('txtProducto'));
	$txtPiezasCaja = DataForms::POST('txtPiezasCaja');
	$txtCantidadCaja = DataForms::POST('txtCantidadCaja');
	$txtPrecioUnitario = DataForms::POST('txtPrecioUnitario');
	$txtPrecioDocena = DataForms::POST('txtPrecioDocena');
	$txtPrecioCajaDocena = DataForms::POST('txtPrecioCajaDocena');
	$txtObservaciones = DataForms::POST('txtObservaciones');
	$prod_piezascaja_real = DataForms::POST('prod_piezascaja_real');

	$tipo = DataForms::POST('tipo');	
	$cantidad = DataForms::POST('cantidad');	

	$NombreFoto = $_FILES['txtFoto']['name'];
	$temp = $_FILES['txtFoto']['tmp_name'];
//calculos cantidad de cajas y unidades
$prod_unidadesreal = $txtCantidadCaja*$txtPiezasCaja;

	if($NombreFoto != ''){				
		$folder = 'fotos/';
		$FotoNew = $codigo.substr(sha1(uniqid()),1,4);
		move_uploaded_file($temp, $folder.$FotoNew);	
		//redimensionar foto tamaño
		$thumb  = new Thumb();
		$thumb->loadImage($folder.$FotoNew); 					
		$thumb->resize(900,"width");  
      	$thumb->save($folder.$FotoNew, 100);
      	$thumb->resize(320,"width");  
		$thumb->save($folder.'small_'.$FotoNew, 100);

		$sql = "UPDATE inventarios_productos SET 
			ubica_codigo = '$cmbUbicaciones',
			prod_item = '$txtItem',
			prod_nombre = '$txtProducto',
			prod_foto = '$FotoNew',
			prod_piezascaja = '$txtPiezasCaja',
			prod_cantidadcajas = '$txtCantidadCaja',
			prod_unidadesreal = '$prod_unidadesreal',	
			prod_preciounitario = '$txtPrecioUnitario',
			prod_preciodocena = '$txtPrecioDocena',
			prod_preciocajadocena = '$txtPrecioCajaDocena',
			prod_observaciones = '$txtObservaciones'
		WHERE prod_codigo = '$codigo';";
	}else{
		$sql = "UPDATE inventarios_productos SET 
			ubica_codigo = '$cmbUbicaciones',
			prod_item = '$txtItem',
			prod_nombre = '$txtProducto',
			prod_piezascaja = '$txtPiezasCaja',
			prod_cantidadcajas = '$txtCantidadCaja',
			prod_unidadesreal = '$prod_unidadesreal',	
			prod_preciounitario = '$txtPrecioUnitario',
			prod_preciodocena = '$txtPrecioDocena',
			prod_preciocajadocena = '$txtPrecioCajaDocena',
			prod_observaciones = '$txtObservaciones'
		WHERE prod_codigo = '$codigo';";
	}

$db = new DB();
$db->dbSQL($sql);
Guardar();

echo '<script>self.location="'.PATH_HOME.'productos/";</script>';

function Guardar(){
	$codigo = DataForms::POST('codigo');	
	$tipo = DataForms::POST('tipo');	
	$piezas = DataForms::POST('txtPiezasCaja');	
	$cantidad = DataForms::POST('cantidad');

	if($tipo == 1){				
		$sql = "UPDATE inventarios_productos SET 
			prod_unidadesreal = '$cantidad',
			prod_tipo = '1'
		WHERE prod_codigo = '$codigo';";
	}else{
		$total = $cantidad*$piezas;
		$sql = "UPDATE inventarios_productos SET 
			prod_cantidadcajas = '$cantidad',
			prod_unidadesreal = '$total',
			prod_tipo = '2'
		WHERE prod_codigo = '$codigo';";
	}
	$db= new DB();
	$db->dbSQL($sql);
}
?>